<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Firearms/BoltActionRifleInnerMagazine_Base.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">BoltActionRifleInnerMagazine_Base.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dcc/class_weapon_stable_state.html">WeaponStableState</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">represents weapon's stable state (i.e. the basic states that the weapon will spend the most time in)  <a href="../../dc/dcc/class_weapon_stable_state.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d5e/class_weapon_state_jammed.html">WeaponStateJammed</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">handle jamming state set jam/unjam state for weapon  <a href="../../db/d5e/class_weapon_state_jammed.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3e/class_bolt_action_rifle___base.html">BoltActionRifle_Base</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a4fd4d2670949fb3720bbae8c5e6313e1"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#a4fd4d2670949fb3720bbae8c5e6313e1">BARIMAnimState</a> { <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#a4fd4d2670949fb3720bbae8c5e6313e1a88ec7d5086d2469ba843c7fcceade8a6">DEFAULT</a> = 0
, <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#a4fd4d2670949fb3720bbae8c5e6313e1a45c1c97bdcce420fc01045ee101a0cf2">OPENED</a> = 1
, <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#a4fd4d2670949fb3720bbae8c5e6313e1aad639e4ca3a26a00029522971c36d7b3">JAMMED</a> = 2
 }</td></tr>
<tr class="separator:a4fd4d2670949fb3720bbae8c5e6313e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac840cd7d2be0a83408515462c1290c30"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#ac840cd7d2be0a83408515462c1290c30">BARIMStableStateID</a> </td></tr>
<tr class="separator:ac840cd7d2be0a83408515462c1290c30"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a9b823eec44b288b8206c42062ae5cfd5"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#ac840cd7d2be0a83408515462c1290c30">BARIMStableStateID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#a9b823eec44b288b8206c42062ae5cfd5">OnEntry</a> (<a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e)</td></tr>
<tr class="separator:a9b823eec44b288b8206c42062ae5cfd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa40f8697dfa587f8adabc8640bc98ad8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#aa40f8697dfa587f8adabc8640bc98ad8">OnExit</a> (<a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e)</td></tr>
<tr class="separator:aa40f8697dfa587f8adabc8640bc98ad8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fba6d4213ebbe1820d719974f601736"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#a8fba6d4213ebbe1820d719974f601736">GetCurrentStateID</a> ()</td></tr>
<tr class="separator:a8fba6d4213ebbe1820d719974f601736"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab49d3803bebd844c3f873106849df18a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#ab49d3803bebd844c3f873106849df18a">HasBullet</a> ()</td></tr>
<tr class="separator:ab49d3803bebd844c3f873106849df18a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2a2200b1debc914a8e34252c33e8dfe"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#af2a2200b1debc914a8e34252c33e8dfe">HasMagazine</a> ()</td></tr>
<tr class="separator:af2a2200b1debc914a8e34252c33e8dfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac14d196e64cad535c5aa50f0c954df3"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#aac14d196e64cad535c5aa50f0c954df3">IsJammed</a> ()</td></tr>
<tr class="separator:aac14d196e64cad535c5aa50f0c954df3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5505b40857f04731ef377a6be07e9d8c"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#a5505b40857f04731ef377a6be07e9d8c">IsRepairEnabled</a> ()</td></tr>
<tr class="separator:a5505b40857f04731ef377a6be07e9d8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecb416b07a0879e66f05969cc59bd671"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#aecb416b07a0879e66f05969cc59bd671">InitMuzzleArray</a> ()</td></tr>
<tr class="separator:aecb416b07a0879e66f05969cc59bd671"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a6ce26a62afab55d7606ad4e92428b30c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#a6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a> = 0</td></tr>
<tr class="separator:a6ce26a62afab55d7606ad4e92428b30c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24b662e290271901fc4b9cde8b4264d9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#a24b662e290271901fc4b9cde8b4264d9">EmptyDischarged</a> = 1</td></tr>
<tr class="separator:a24b662e290271901fc4b9cde8b4264d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae78c70b680f81ba4faf3244257608e64"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#ae78c70b680f81ba4faf3244257608e64">LoadedCharged</a> = 2</td></tr>
<tr class="separator:ae78c70b680f81ba4faf3244257608e64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae36f455e49b3d2cfe812ceebbb705614"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#ae36f455e49b3d2cfe812ceebbb705614">LoadedDischarged</a> = 3</td></tr>
<tr class="separator:ae36f455e49b3d2cfe812ceebbb705614"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0da26eed8c0f69aeca87e4c632945bd0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#a0da26eed8c0f69aeca87e4c632945bd0">LoadedJammed</a> = 4</td></tr>
<tr class="separator:a0da26eed8c0f69aeca87e4c632945bd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae14b414d040810c2e4d06ddb8cb8ec94"><td class="memItemLeft" align="right" valign="top">class BARIMLoadedCharged extends <a class="el" href="../../dc/dcc/class_weapon_stable_state.html">WeaponStableState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#ae14b414d040810c2e4d06ddb8cb8ec94">OnEntry</a></td></tr>
<tr class="separator:ae14b414d040810c2e4d06ddb8cb8ec94"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a4fd4d2670949fb3720bbae8c5e6313e1" name="a4fd4d2670949fb3720bbae8c5e6313e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4fd4d2670949fb3720bbae8c5e6313e1">&#9670;&#160;</a></span>BARIMAnimState</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#a4fd4d2670949fb3720bbae8c5e6313e1">BARIMAnimState</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a4fd4d2670949fb3720bbae8c5e6313e1a88ec7d5086d2469ba843c7fcceade8a6" name="a4fd4d2670949fb3720bbae8c5e6313e1a88ec7d5086d2469ba843c7fcceade8a6"></a>DEFAULT&#160;</td><td class="fielddoc"><p >default weapon state, closed and discharged </p>
</td></tr>
<tr><td class="fieldname"><a id="a4fd4d2670949fb3720bbae8c5e6313e1a45c1c97bdcce420fc01045ee101a0cf2" name="a4fd4d2670949fb3720bbae8c5e6313e1a45c1c97bdcce420fc01045ee101a0cf2"></a>OPENED&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a4fd4d2670949fb3720bbae8c5e6313e1aad639e4ca3a26a00029522971c36d7b3" name="a4fd4d2670949fb3720bbae8c5e6313e1aad639e4ca3a26a00029522971c36d7b3"></a>JAMMED&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html#l00001">1</a> of file <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html">BoltActionRifleInnerMagazine_Base.c</a>.</p>

</div>
</div>
<a id="ac840cd7d2be0a83408515462c1290c30" name="ac840cd7d2be0a83408515462c1290c30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac840cd7d2be0a83408515462c1290c30">&#9670;&#160;</a></span>BARIMStableStateID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#ac840cd7d2be0a83408515462c1290c30">BARIMStableStateID</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html#l00008">8</a> of file <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html">BoltActionRifleInnerMagazine_Base.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a8fba6d4213ebbe1820d719974f601736" name="a8fba6d4213ebbe1820d719974f601736"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fba6d4213ebbe1820d719974f601736">&#9670;&#160;</a></span>GetCurrentStateID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetCurrentStateID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html#l00022">22</a> of file <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html">BoltActionRifleInnerMagazine_Base.c</a>.</p>

</div>
</div>
<a id="ab49d3803bebd844c3f873106849df18a" name="ab49d3803bebd844c3f873106849df18a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab49d3803bebd844c3f873106849df18a">&#9670;&#160;</a></span>HasBullet()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HasBullet </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html#l00023">23</a> of file <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html">BoltActionRifleInnerMagazine_Base.c</a>.</p>

</div>
</div>
<a id="af2a2200b1debc914a8e34252c33e8dfe" name="af2a2200b1debc914a8e34252c33e8dfe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2a2200b1debc914a8e34252c33e8dfe">&#9670;&#160;</a></span>HasMagazine()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HasMagazine </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html#l00024">24</a> of file <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html">BoltActionRifleInnerMagazine_Base.c</a>.</p>

</div>
</div>
<a id="aecb416b07a0879e66f05969cc59bd671" name="aecb416b07a0879e66f05969cc59bd671"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecb416b07a0879e66f05969cc59bd671">&#9670;&#160;</a></span>InitMuzzleArray()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void InitMuzzleArray </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html#l00027">27</a> of file <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html">BoltActionRifleInnerMagazine_Base.c</a>.</p>

</div>
</div>
<a id="aac14d196e64cad535c5aa50f0c954df3" name="aac14d196e64cad535c5aa50f0c954df3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac14d196e64cad535c5aa50f0c954df3">&#9670;&#160;</a></span>IsJammed()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> IsJammed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html#l00025">25</a> of file <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html">BoltActionRifleInnerMagazine_Base.c</a>.</p>

</div>
</div>
<a id="a5505b40857f04731ef377a6be07e9d8c" name="a5505b40857f04731ef377a6be07e9d8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5505b40857f04731ef377a6be07e9d8c">&#9670;&#160;</a></span>IsRepairEnabled()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> IsRepairEnabled </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html#l00026">26</a> of file <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html">BoltActionRifleInnerMagazine_Base.c</a>.</p>

</div>
</div>
<a id="a9b823eec44b288b8206c42062ae5cfd5" name="a9b823eec44b288b8206c42062ae5cfd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b823eec44b288b8206c42062ae5cfd5">&#9670;&#160;</a></span>OnEntry()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html#ac840cd7d2be0a83408515462c1290c30">BARIMStableStateID</a> OnEntry </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html#l00001">1</a> of file <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html">BoltActionRifleInnerMagazine_Base.c</a>.</p>

</div>
</div>
<a id="aa40f8697dfa587f8adabc8640bc98ad8" name="aa40f8697dfa587f8adabc8640bc98ad8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa40f8697dfa587f8adabc8640bc98ad8">&#9670;&#160;</a></span>OnExit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnExit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html#l00021">21</a> of file <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html">BoltActionRifleInnerMagazine_Base.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a24b662e290271901fc4b9cde8b4264d9" name="a24b662e290271901fc4b9cde8b4264d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24b662e290271901fc4b9cde8b4264d9">&#9670;&#160;</a></span>EmptyDischarged</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">EmptyDischarged = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html#l00022">22</a> of file <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html">BoltActionRifleInnerMagazine_Base.c</a>.</p>

</div>
</div>
<a id="ae78c70b680f81ba4faf3244257608e64" name="ae78c70b680f81ba4faf3244257608e64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae78c70b680f81ba4faf3244257608e64">&#9670;&#160;</a></span>LoadedCharged</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">LoadedCharged = 2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html#l00023">23</a> of file <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html">BoltActionRifleInnerMagazine_Base.c</a>.</p>

</div>
</div>
<a id="ae36f455e49b3d2cfe812ceebbb705614" name="ae36f455e49b3d2cfe812ceebbb705614"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae36f455e49b3d2cfe812ceebbb705614">&#9670;&#160;</a></span>LoadedDischarged</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">LoadedDischarged = 3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html#l00024">24</a> of file <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html">BoltActionRifleInnerMagazine_Base.c</a>.</p>

</div>
</div>
<a id="a0da26eed8c0f69aeca87e4c632945bd0" name="a0da26eed8c0f69aeca87e4c632945bd0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0da26eed8c0f69aeca87e4c632945bd0">&#9670;&#160;</a></span>LoadedJammed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">LoadedJammed = 4</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html#l00025">25</a> of file <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html">BoltActionRifleInnerMagazine_Base.c</a>.</p>

</div>
</div>
<a id="ae14b414d040810c2e4d06ddb8cb8ec94" name="ae14b414d040810c2e4d06ddb8cb8ec94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae14b414d040810c2e4d06ddb8cb8ec94">&#9670;&#160;</a></span>OnEntry</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class BARIMLoadedCharged extends <a class="el" href="../../dc/dcc/class_weapon_stable_state.html">WeaponStableState</a> OnEntry</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6ce26a62afab55d7606ad4e92428b30c" name="a6ce26a62afab55d7606ad4e92428b30c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ce26a62afab55d7606ad4e92428b30c">&#9670;&#160;</a></span>UNKNOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">@ UNKNOWN = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html#l00021">21</a> of file <a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c_source.html">BoltActionRifleInnerMagazine_Base.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_76b70e186f3f0441d93c60d5e78b0414.html">Firearms</a></li><li class="navelem"><a class="el" href="../../d3/dd1/_bolt_action_rifle_inner_magazine___base_8c.html">BoltActionRifleInnerMagazine_Base.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
